@font-face {
    font-family: centuryGothic;
    src: url(centurygothic.ttf);
}

body {
    display: flex;
    justify-content: center;
    align-items: center;

    height: 100svh  ;
    margin: 0px;
    padding: 0;
    font-family: centuryGothic , Arial, sans-serif;
    box-sizing: border-box;

    background-color: white;
    padding: 10px;
}


.container{
    transition: 0.2s;
    display: grid;
    width: 70svw;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: 80svh;
    gap:30px;
    background-color: hsl(0, 0%, 92%);
    border-radius: 5px;
    padding: 1vw;
    color: hsl(0, 0%, 10%);
    font-weight: 500;
    box-shadow: 0 0 10px grey;
}



.navbar{transition: 0.2s;
    padding: 2svw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: hsl(185, 56%, 79%);
    border-radius: 5px;

}

.Title{transition: 0.2s;
    font-size: clamp(10px,4.5svh,5vh);
    font-weight: 900;
    margin-bottom: 3.5svh;

}

.navbarBottom{
    transition: 0.2s;
    font-size:clamp(10px,4.5svh,5vh) ;
}

.navbarBottom:hover{
    padding: 10px;
    border-radius: 5px;
    background-color: hsl(185, 56%, 59%);
}
    
ul{transition: 0.2s;
    list-style-type: none;
    list-style-position: inside;
    padding:0;
    font-size: clamp(5px,3svh,3vh);
}

.navbar li{transition: 0.2s;
    padding: 10px;
    border-radius: 5px;
    padding-left: 10px;
    margin:10px;

}

.navbar .lists{transition: 0.2s;
    padding-left: 10px;
}

.navbar .menuTasks > li:hover{
    transition: 0.2s;
    background-color: hsl(185, 56%, 59%);
}

.navbar ul li li:hover{transition: 0.2s;
    transform: scale(105%);
}

.tasks{transition: 0.2s;
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.day{transition: 0.2s;
    align-self: center;
}

.newTask{transition: 0.2s;
    align-self: flex-start;
    font-weight: 600;
    font-size: clamp(5px,1.7svh,3vh);
}

.newTask input{transition: 0.2s;
    background-color: hsl(0, 0%, 97%);
    padding: 5px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border: none;
    font-size: clamp(5px,2.5svh,3vh);
    font-family: centuryGothic;

}
.newTask button{transition: 0.2s;
    background-color: hsl(0, 0%, 97%);
    padding: 5px;
    font-family: centuryGothic;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border: none;
    font-size: clamp(5px,2.5svh,3vh);

}

.tasks li{transition: 0.2s;
    padding: 5px;
    border-bottom:1px solid hsl(0, 0%, 77%);
}

.tasks .day{transition: 0.2s;
    gap: 10px;
    display: flex;
    
    font-size: clamp(5px,4.5svh,5vh);
}

.tasks .day div{transition: 0.2s;
    border-radius: 5px;
    padding: 10px;

}

.tasks .day button{transition: 0.2s;
    border-radius: 5px;
    background-color: transparent;
    font-size: clamp(5px,4.5svh,5vh);
    border: none;
    color:hsl(0, 0%, 30%);
    font-weight: 1;

}

.newTaskInput:hover >*{
    transition: 0.2s;
    transform: scale(105%);
    background-color: hsl(185, 56%, 59%);
}


.newTaskInput input:active{transition: 0.2s;
    border: none;
}
.newTaskInput input:focus + button{transition: 0.2s;
    outline: none;
    background-color: hsl(185, 56%, 59%);
}

.newTaskInput input:focus {transition: 0.2s;
    outline: none;
    background-color: hsl(185, 56%, 59%) ;
}

.newTaskInput button:hover{transition: 0.2s;
    background-color:hsl(185, 56%, 69%) !important;
}

.newTaskInput button:active{transition: 0.2s;
    background-color:hsl(185, 56%, 79%) !important;

}

.taskList li{
    margin-top: 10px;
}